﻿@publishTestResults @bypass-integration
Feature: Publish Python Behave Test Results

@tc:193
Scenario: Publish a Python Behave XML Scenario test result
	Given there is a remote server project prepared for publishing test results
	And there is an existing synchronized feature file
		"""
		Feature: Sample feature

		@tc:[id-of-test-case]
		Scenario: Sample scenario
			When I do something
			Then there should be something
		"""
	And there is a Python Behave XML test result file as
		"""
		<testsuite errors="0" failures="0" hostname="mymachine" name="SampleFeature.Sample feature" skipped="0" tests="1" time="0.537205" timestamp="2019-11-08T09:10:24.750967">
		  <testcase classname="SampleFeature.Sample feature" name="Sample scenario" status="passed" time="0.515184">
			<system-out>
			  <![CDATA[
		@scenario.begin
		  Scenario: Sample scenario
			When I do something ... passed in 0.513s
			Then there should be something ... passed in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
			</system-out>
		  </testcase>
		</testsuite>		
		"""
	When the test result is published to Test Configuration "Windows 8"
	Then the command should not fail
	And the there should be a Test Run registered with test results
		| test case ID      | outcome | step outcomes |
		| [id-of-test-case] | Passed  | Passed,Passed |

@tc:194
Scenario: Publish a Python Behave XML Scenario Outline test result
	Given there is a remote server project prepared for publishing test results
	And there is an existing synchronized feature file
		"""
		Feature: Sample feature

		@tc:[id-of-test-case]
		Scenario Outline: Sample scenario
			Given there is something
			When I do <what>
			Then there should be something
		Examples:
			| what            |
			| something       |
			| something wrong |
		"""
	And there is a Python Behave XML test result file as
		"""
		<testsuite errors="0" failures="0" hostname="mymachine" name="SampleFeature.Sample feature" skipped="0" tests="1" time="0.537205" timestamp="2019-11-08T09:10:24.750967">
		  <testcase classname="Sample feature" name="Sample scenario -- @1.1" time="0.515184" status="passed">
			<system-out>
			  <![CDATA[
		@scenario.begin
		  Scenario: Sample scenario
			Given there is something ... passed in 0.000s
			When I do something ... passed in 0.513s
			Then there should be something ... passed in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
			</system-out>
		  </testcase>
		  <testcase classname="Sample feature" name="Sample scenario -- @1.2" time="0.515184" status="failed">
			<system-out>
			  <![CDATA[
		@scenario.begin
		  Scenario: Sample scenario
			Given there is something ... passed in 0.000s
			When I do something wrong ... failed in 0.513s
			Then there should be something ... skipped in 0.000s

		@scenario.end
		--------------------------------------------------------------------------------
		]]>
			</system-out>
		  </testcase>
		</testsuite>		
		"""
	When the test result is published successfully
	Then the there should be a Test Run registered with test results
		| test case ID      | outcome | iteration outcomes | iteration step outcomes                            |
		| [id-of-test-case] | Failed  | (Passed),(Failed)  | (Passed,Passed,Passed),(Passed,Failed,NotExecuted) |
